#include <sys/types.h>

namespace data {
const int serverbound_msg = 1;
const int clientbound_msg = 2;

key_t getIpcKeyFromExeName(char *argv0);

enum RequestType {
  map,
  resolve_resource_loc,
};

struct RequestMsg {
  long msgtype;

  RequestType type;

  unsigned int datalen;
  char data[128];
};

struct ResponseMsg {
  long msgtype;

  unsigned int datalen;
  char data[128];
};
} // namespace data
